org.fife.ui.rsyntaxtextarea

## Interface ActiveLineRangeListener

All Superinterfaces:
  EventListener

    public interface ActiveLineRangeListener
    extends EventListener

Listens for "active line range" events from an `RSyntaxTextArea`. If a text area contains some semantic knowledge of the programming language being edited, it may broadcast `ActiveLineRangeEvent`s whenever the caret moves into a new "block" of code. Listeners can listen for these events and respond accordingly.

See the `RSTALanguageSupport` project at http://fifesoft.com for some `LanguageSupport` implementations that may broadcast these events. Note that if an RSTA/LanguageSupport does not support broadcasting these events, the listener will simply never receive any notifications.

Version:
  1.0
Author:
  Robert Futrell

### Method Summary

Methods
`void` `activeLineRangeChanged(ActiveLineRangeEvent e)` Called whenever the "active line range" changes.

### Method Detail

#### activeLineRangeChanged

    void activeLineRangeChanged(ActiveLineRangeEvent e)

Called whenever the "active line range" changes.

Parameters:
  `e` - Information about the line range change. If there is no longer an "active line range," the "minimum" and "maximum" line values should both be `-1`.